import { hcl as e } from "../../d3-color/src/lab.js";
import t, { hue as n } from "./color.js";
//#region ../../node_modules/d3-interpolate/src/hcl.js
function r(n) {
	return function(r, i) {
		var a = n((r = e(r)).h, (i = e(i)).h), o = t(r.c, i.c), s = t(r.l, i.l), c = t(r.opacity, i.opacity);
		return function(e) {
			return r.h = a(e), r.c = o(e), r.l = s(e), r.opacity = c(e), r + "";
		};
	};
}
var i = r(n);
//#endregion
export { i as default };
